Bug 509937 - video shifted left and up, noisy, on Radeon HD 3450
video shifted left and up, noisy, on Radeon HD 3450
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
[cat:rendering]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 20:41 EDT by Bill McGonigle
Modified: 2018-04-11 02:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 15:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (265.53 KB, text/plain)
2009-07-06 20:41 EDT, Bill McGonigle
no flags Details
radeonhd Xorg.0.log (38.12 KB, text/plain)
2009-08-07 21:27 EDT, Bill McGonigle
no flags Details
xorg.0.log 6.12.2-14.fc11 (44.10 KB, text/plain)
2009-11-21 20:40 EST, Bill McGonigle
no flags Details
Xorg.0.log-20091119git (51.58 KB, text/plain)
2009-12-30 20:12 EST, Bill McGonigle
no flags Details
F12 Rescue shell screen misalignment (366.90 KB, image/jpeg)
2010-03-13 14:47 EST, Bob Gustafson
no flags Details
Boot-time view of RAID Controller info (404.85 KB, image/jpeg)
2010-03-13 14:50 EST, Bob Gustafson
no flags Details

  None (edit)
Description Bill McGonigle 2009-07-06 20:41:02 EDT
Created attachment 350705 [details]
Xorg.0.log

Description of problem:

  Using the -ati driver, video is shifted about 30% to the left and some amount up, so those parts of the display render off the screen (black bar to the right).  The display that does render looks noisy.

Version-Release number of selected component (if applicable):

  xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

How reproducible:

  always

Steps to Reproduce:
1. init 5
  
Actual results:

  bad display

Expected results:

  good display

Additional info:

The radeonhd driver works as expected.

xrandr shows the correct mode.  Switching the output on and off with it, resetting monitor to factory, etc. don't help.  When video starts, the monitor's OSD says "HDMI 408p".   Switching to lower resolutions with xrandr doesn't fix the problem.

When running system-config-display or the desktop environment's display picker, I'm not offered the proper resolution list.  The higher end resolution are missing.

01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3450 (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Device 0296
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at fe9e0000 (64-bit, non-prefetchable) [size=64K]
        I/O ports at c000 [size=256]
        Expansion ROM at fe9c0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: radeon
        Kernel modules: radeon
Comment 1 Bill McGonigle 2009-08-07 21:27:49 EDT
Created attachment 356747 [details]
radeonhd Xorg.0.log

Tried again with:

  xorg-x11-drv-ati-6.12.2-18.fc11

and same results.

Also no change with 'nomodeset'.

Attaching a radeonhd log for comparison's sake.
Comment 2 Matěj Cepl 2009-11-05 13:34:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Bill McGonigle 2009-11-21 20:40:47 EST
Created attachment 372839 [details]
xorg.0.log 6.12.2-14.fc11

with:

  xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

the video is now shifted left, as before, but not up anymore.
Comment 4 Bill McGonigle 2009-12-30 20:12:47 EST
Created attachment 381037 [details]
Xorg.0.log-20091119git

kernel-2.6.31.9-174.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.11.20091119git437113124.fc12.x86_64


back to being shifted up and left again, with kms.  kms text console is also shifted way left, only the rightmost edges of the boot messages show onscreen.

radeonhd still gets the alignment right, but its DRM interface is way boned in F12, so not really a good workaround anymore.  I'm not sure what investigation is needed here, but I'm incentivized to try and help if I can, so please ask if I can be helpful.
Comment 5 Bob Gustafson 2010-03-13 14:41:44 EST
I am running Fedora 12 rescue off the F12 install disk.

The 'shell' screen is shifted slightly to the left (so I cannot see the first character on the line).

It is also shifted slightly down (so I can only see the top half of newly typed lines).

------
During boot, when viewing the Intel ICH10R boot display, the screen content is shifted about an inch to the right (so I can see only half of the RAID disk member status).

I will attach photos of these two screens.

The board is an ASUS P5Q PRO Turbo. The graphics card is EVGA Nvidia GeForce 9500 GT, the screen is a Dell 24" 1920x1200 made in 2006 (The label in back does not give the model name clearly). The board and screen have both DVI and VGA connectors. This system is using the VGA connection.

Under normal use, the screen and alignment are perfect. It is just when viewing the disk controller during boot and the shell under rescue disk conditions that things are not aligned.
Comment 6 Bob Gustafson 2010-03-13 14:47:06 EST
Created attachment 399885 [details]
F12 Rescue shell screen misalignment

Note that you cannot see left-most characters
Comment 7 Bob Gustafson 2010-03-13 14:50:01 EST
Created attachment 399887 [details]
Boot-time view of RAID Controller info

Note that you cannot see characters at the right side
Comment 8 Bill McGonigle 2010-03-15 11:14:58 EDT
The RAID controller part wouldn't be something that Fedora could fix - do you have an auto-adjust button on your display?
Comment 9 Bug Zapper 2010-11-04 06:51:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-02 13:57:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bill McGonigle 2011-06-02 14:41:54 EDT
Sorry, I switched to an nVidia card for f14 because of this bug, can't test any longer.
Comment 12 Matěj Cepl 2011-06-03 15:14:17 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.